<nav class="navbar navbar-expand-lg navbar-dark bg-primary px-4">
    <a class="navbar-brand" [routerLink]="['/']">
        <img src="../../../assets/angular_logo.png" width="35" height="35" alt="">
        <span class="ml-2 my-6">Angular Github Finder App</span>
    </a>

    <div class="navbar-collapse">
        <div class="navbar-nav ml-auto">
            <div *ngIf="email" class="navbar-text float-left">
                {{email}}
            </div>
            <a class="nav-item nav-link" [routerLink]="['/']">Home</a>
            <a *ngIf="!email" class="nav-item nav-link" routerLinkActive="active" [routerLink]="['/signin']">Sign-in</a>
            <a *ngIf="!email" class="nav-item nav-link" routerLinkActive="active" [routerLink]="['/signup']">Sign-Up</a>
            <a *ngIf="email" class="nav-item nav-link" (click)="handleSignOut()">Log Out</a>
        </div>
    </div>
</nav>